Eurocardsharing

Go Back   Eurocardsharing > Sharing receivers > DreamBox > Chat

Chat Discussion, problem with updating no-ip on dm500 at DreamBox forum; Hi friends My ddns is no ip Last few days I get in inadyn.log the following message: INADYN:IP: Error 0x68 ...

Reply
 
LinkBack Thread Tools Display Modes
problem with updating no-ip on dm500
Old
  (#1)
unperfect820
Member
 
unperfect820's Avatar
 
Offline
Posts: 33

Level: 4 [♥ Bé-Yêu ♥♥ Bé-Yêu ♥♥ Bé-Yêu ♥]
Life: 0 / 87
Magic: 11 / 2626
Experience: 50%

Thanks: 43
Thanked 5 Times in 5 Posts
Join Date: Oct 2007
Angry problem with updating no-ip on dm500 - 23-January-2010, 20:33

Hi friends
My ddns is no ip

Last few days I get in inadyn.log the following message:

INADYN:IP: Error 0x68 in recv()
W: DYNDNS: Error 'RC_IP_RECV_ERROR' (0x15) when talking to IP server
W:'RC_IP_RECV_ERROR' (0x15) updating the IPs. (it 7)
INADYN:IP: Error 0x68 in recv()
W: DYNDNS: Error 'RC_IP_RECV_ERROR' (0x15) when talking to IP server
W:'RC_IP_RECV_ERROR' (0x15) updating the IPs. (it 8)


My modem does not have the option of updating. Usually the dream do this
Now I have to update manually .
my script is
########################v
#!/bin/sh
DAEMON=/bin/inadyn
NAME=inadyn
DESC="InaDyn dynamic DNS Client"
INADYN_ON=1
[email protected]
INADYN_PASSWORD=mypass
INADYN_ALIAS=noip
UPDATE_PERIOD=3600000
LOG_FILE_ON=1
LOG_NAME=/var/log/inadyn.log
DYN_SYSTEM_ON=1
[email protected]


test -f $DAEMON || exit 0

set -e

case "$1" in
start)
if [ $INADYN_ON -ne 0 ]; then
ARGS="-u $INADYN_USERNAME -p $INADYN_PASSWORD -a $INADYN_ALIAS --update_period $UPDATE_PERIOD"
if [ $LOG_FILE_ON = 1 ]; then
ARGS="$ARGS --log_file $LOG_NAME"
fi
if [ $LOG_FILE_ON = 2 ]; then
ARGS="$ARGS --syslog"
fi
if [ $DYN_SYSTEM_ON -ne 0 ]; then
ARGS="$ARGS --dyndns_system $DYN_SYSTEM"

fi
echo -n "starting $DESC: $NAME... "
start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
echo "done."
fi
;;
stop)
echo -n "stopping $DESC: $NAME... "
start-stop-daemon -K -n $NAME
rm $LOG_NAME
echo "done."
;;
restart)
echo "restarting $DESC: $NAME... "
$0 stop
$0 start
echo "done."
;;
reload)
echo -n "reloading $DESC: $NAME... "
killall -HUP $(basename ${DAEMON})
echo "done."
;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
;;
esac

exit 0

###################
Can you help me please
Thanks


Pinacle IP 9600 HD Hybrid

Last edited by unperfect820; 23-January-2010 at 21:55.. Reason: add script
   
Reply With Quote
Old
  (#2)
jolo
Permanent Banned
 
jolo's Avatar
 
Offline
Posts: 12

Level: 2 [♥ Bé-Yêu ♥]
Life: 0 / 31
Magic: 4 / 734
Experience: 25%

Thanks: 0
Thanked 3 Times in 3 Posts
Join Date: Jan 2010
23-January-2010, 21:35

Code:
#!/bin/sh
DAEMON=/bin/inadyn
NAME=inadyn
DESC="InaDyn dynamic DNS Client"
INADYN_ON=1
INADYN_USERNAME=login dns             <---- yu login
INADYN_PASSWORD=pasword dns        <---- yu pas
INADYN_ALIAS=name dns : ffff.ath.cx   <---- yu dns 
UPDATE_PERIOD=60000
LOG_FILE_ON=1
LOG_NAME=/var/log/inadyn.log
DYN_SYSTEM_ON=1
[email protected]


test -f $DAEMON || exit 0

set -e

case "$1" in
    start)
	if [ $INADYN_ON -ne 0 ]; then
		ARGS="-u $INADYN_USERNAME -p $INADYN_PASSWORD -a $INADYN_ALIAS --update_period $UPDATE_PERIOD"	
		if [ $LOG_FILE_ON = 1 ]; then
			ARGS="$ARGS --log_file $LOG_NAME"
		fi
		if [ $LOG_FILE_ON = 2 ]; then
			ARGS="$ARGS --syslog"
		fi
		if [ $DYN_SYSTEM_ON -ne 0 ]; then
			ARGS="$ARGS --dyndns_system $DYN_SYSTEM"

		fi
		echo -n "starting $DESC: $NAME... "
		start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
		echo "done."
	fi
	;;
    stop)
        echo -n "stopping $DESC: $NAME... "
	start-stop-daemon -K -n $NAME
	[ -e $LOG_NAME ] && rm -rf $LOG_NAME
	echo "done."
	;;
    restart)
        echo "restarting $DESC: $NAME... "
 	$0 stop
	$0 start
	echo "done."
	;;
    reload)
    	echo -n "reloading $DESC: $NAME... "
    	killall -HUP $(basename ${DAEMON})
	echo "done."
	;;
    *)
	echo "Usage: $0 {start|stop|restart|reload}"
	exit 1
	;;
esac

exit 0
copy this script end edit !!! var/script - atrybut 755 restart yu drim works yu dns
   
Reply With Quote
The Following User Says Thank You to jolo For This Useful Post:
robinsw (22-January-2015)
Sponsored Links
Reply

Bookmarks

Tags
dm500, no-ip, problem, updating


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

Forum Jump



ECS on RSS ECS on Twitter ECS on Facebook ECS on Youtube
Follow us on:

Powered by vBulletin
Copyright 2002 - 2010, Jelsoft Enterprises Ltd.
SEO by vBSEO ©2011, Crawlability, Inc.
Dreambox